from flask import g
from sqlalchemy import insert
from sqlalchemy.orm import Session

from app.database import engine
from app.modle.log import Log


def save_log(request, module, operation_type, operation_status):
    """
    日志存储
    :param module: 系统模块
    :param operation_type: 操作类型
    :param operation_status: 操作状态
    :return:
    """
    with Session(engine) as session:
        stmt = insert(Log).values(
            module=module,
            operation_type=operation_type,
            request=request.method,
            operation_staff=g.user_name,
            operation_address=request.host.split(':')[0],
            operation_status=operation_status,

        )
        session.execute(stmt)
        session.commit()
